### Method

# Ide CompletionContext get_word

#### Declaration

    gchar*
    ide_completion_context_get_word (
      IdeCompletionContext* self
    )

#### Description

Gets the word that is being completed up to the position of the insert mark.

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| A string containing the current word.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.